Spigot Vault 1.7.3

Vault is a Permissions, Chat, & Economy API to give plugins easy hooks into these systems.

  1. support 1.13 spigot?
     
  2. This update breaks my quests and citizens plugins. Sticking with 1.6.7 for now.
     
  3. Please give your server log / errors relating.
     
  4. That's expected, an API was removed, your quest and citizen plugins will need to make sure they are updated to use the new version of Vault.
     
  5. yeah.. i was guessing it by now that it's their update that is missing.. still gotta stick with old version for now.. i panicked when quests started spitting errors all over the place.
     
  6. https://pastebin.com/styHHATs
    Ingame the player would just take out the item from the GUI and then the quest became unclickable. I haven't tried it with text mode only.

    I can't find any MyPet related errors, but lead/leash item would not catch pets anymore after update. Well, I can find errors but WorldGuard related and less serious.
     
  7. Contact the devs and have them update for the latest API changes on Vault. Can send them here if they have questions.
     
  8. smmmadden

    Benefactor

    Hi @Kainzo - are you planning on reverting back to 1.6.7 or just giving an alternative for now? The Versions tab on the resource allows for downloading any previous version directly, so there shouldn't be a need to re-upload it and change the version back to 1.6.7 unless we shouldn't be using 1.7.1? Thanks -Steve
     
  9. There were breaking API changes with 1.7.1, plugins such as Citizens, Heroes, etc need time to update.
    I re-released to lessen the amount of bug reports.
     
    • Like Like x 1
  10. Update, was able to find a way to keep essentials and get commands to work by prefixing commands with minecraft: eg: minecraft:give

    I went back to 1.6.7 but I can't seem to get vault to load properly unless I use essentialsx. I want it for headsplus. I see a list of many other plug ins but I can't get any other one to get vault to load except essentialsx and it is giving my server other issues, which I have a discussion going on with them. With essentials on, I get this:
    06:30:24 [Server] INFO Using Vault based permissions (PermissionsBukkit)
    06:30:24 [Server] INFO [Vault][Economy] Essentials Economy hooked.
    When I remove essentials and try any other plug in and those lines are not shown on start up for vault, so headsplus sellhead will not work.
     
    #53 mjnoe70, Sep 29, 2018
    Last edited: Sep 29, 2018
  11. im using it on my server 1.12.2
     
  12. is the version 1.7.1 working fine? on 1.12.2 or just use old version 1.6.7
     
  13. Should I use the latest 1.13 vault with my 1.12.2 server?
     
  14. Couldn't hook Vault Plugin.
    Version 1.13.1 - Paper (upgraded spigot)
     
  15. Hello!
    I have the problem that only one world with MCRealistic-2 works on my server. But never on both.
    I created a minimal test server to limit the error. As soon as the Plugin Vault comes on the server the problem starts. Without Vault the plugin works on both worlds. But Vault is needed on my server for other plugins.

    Testserver Plugins: WorldEdit, Vault, ProtocolLib, WorldGuard, PlotSquared, MCRealistic-2, Multiverse-Core, Multiverse-Portals
     
  16. This is most likely an issue caused by having a plugin see Vault and enable additional functionality but have bugs. You should check your logs to see what is going wrong.
     
    • Agree Agree x 1